DefaultFocusManager (Java SE 15 & JDK 15)
Description: declaration: module: java.desktop, package: javax.swing, class: DefaultFocusManager
Keywords: javax.swing.DefaultFocusManager class

Module java.desktop
Package javax.swing

# Class DefaultFocusManager

java.lang.Object
java.awt.KeyboardFocusManager
java.awt.DefaultKeyboardFocusManager
javax.swing.FocusManager
javax.swing.DefaultFocusManager

All Implemented Interfaces:
  `KeyEventDispatcher`, `KeyEventPostProcessor`

    public class DefaultFocusManager
    extends FocusManager

This class has been obsoleted by the 1.4 focus APIs. While client code may still use this class, developers are strongly encouraged to use `java.awt.KeyboardFocusManager` and `java.awt.DefaultKeyboardFocusManager` instead.

Please see How to Use the Focus Subsystem, a section in The Java Tutorial, and the Focus Specification for more information.

Since:
  1.2

- ## Field Summary

  ### Fields declared in class javax.swing.FocusManager

  `FOCUS_MANAGER_CLASS_PROPERTY`

  ### Fields declared in class java.awt.KeyboardFocusManager

  `BACKWARD_TRAVERSAL_KEYS, DOWN_CYCLE_TRAVERSAL_KEYS, FORWARD_TRAVERSAL_KEYS, UP_CYCLE_TRAVERSAL_KEYS`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DefaultFocusManager()` | Constructs a `DefaultFocusManager`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `compareTabOrder​(Component a, Component b)` | Compares the components by their focus traversal cycle order.
  `Component` | `getComponentAfter​(Container aContainer, Component aComponent)` | Returns the component after.
  `Component` | `getComponentBefore​(Container aContainer, Component aComponent)` | Returns the component before.
  `Component` | `getFirstComponent​(Container aContainer)` | Returns the first component.
  `Component` | `getLastComponent​(Container aContainer)` | Returns the last component.

  ### Methods declared in class javax.swing.FocusManager

  `disableSwingFocusManager, getCurrentManager, isFocusManagerEnabled, setCurrentManager`

  ### Methods declared in class java.awt.DefaultKeyboardFocusManager

  `dequeueKeyEvents, discardKeyEvents, dispatchEvent, dispatchKeyEvent, downFocusCycle, enqueueKeyEvents, focusNextComponent, focusPreviousComponent, postProcessKeyEvent, processKeyEvent, upFocusCycle`

  ### Methods declared in class java.awt.KeyboardFocusManager

  `addKeyEventDispatcher, addKeyEventPostProcessor, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, addVetoableChangeListener, clearFocusOwner, clearGlobalFocusOwner, downFocusCycle, firePropertyChange, fireVetoableChange, focusNextComponent, focusPreviousComponent, getActiveWindow, getCurrentFocusCycleRoot, getCurrentKeyboardFocusManager, getDefaultFocusTraversalKeys, getDefaultFocusTraversalPolicy, getFocusedWindow, getFocusOwner, getGlobalActiveWindow, getGlobalCurrentFocusCycleRoot, getGlobalFocusedWindow, getGlobalFocusOwner, getGlobalPermanentFocusOwner, getKeyEventDispatchers, getKeyEventPostProcessors, getPermanentFocusOwner, getPropertyChangeListeners, getPropertyChangeListeners, getVetoableChangeListeners, getVetoableChangeListeners, redispatchEvent, removeKeyEventDispatcher, removeKeyEventPostProcessor, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, removeVetoableChangeListener, setCurrentKeyboardFocusManager, setDefaultFocusTraversalKeys, setDefaultFocusTraversalPolicy, setGlobalActiveWindow, setGlobalCurrentFocusCycleRoot, setGlobalFocusedWindow, setGlobalFocusOwner, setGlobalPermanentFocusOwner, upFocusCycle`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultFocusManager

    public DefaultFocusManager()
    Constructs a `DefaultFocusManager`.

- ## Method Details

  - ### getComponentAfter

    public Component getComponentAfter​(Container aContainer, Component aComponent)
    Returns the component after.
    Parameters:
      `aContainer` - a container
      `aComponent` - a component
    Returns:
      the component after

  - ### getComponentBefore

    public Component getComponentBefore​(Container aContainer, Component aComponent)
    Returns the component before.
    Parameters:
      `aContainer` - a container
      `aComponent` - a component
    Returns:
      the component before

  - ### getFirstComponent

    public Component getFirstComponent​(Container aContainer)
    Returns the first component.
    Parameters:
      `aContainer` - a container
    Returns:
      the first component

  - ### getLastComponent

    public Component getLastComponent​(Container aContainer)
    Returns the last component.
    Parameters:
      `aContainer` - a container
    Returns:
      the last component

  - ### compareTabOrder

    public boolean compareTabOrder​(Component a, Component b)
    Compares the components by their focus traversal cycle order.
    Parameters:
      `a` - the first component
      `b` - the second component
    Returns:
      a comparison of the components by their focus traversal cycle order